{% extends 'asided.html' %}
{% import 'account/macros.html' as macros %}
{% import 'macros/forms.html' as forms %}

{% block content %}
    <h1>{{ _("patient_update.title (client)")|f(client=form.instance) }}</h1>
    <form action="." method="post">
    {% if form.errors %}
    <div class="form-errors">
        <h4>{{ _("form.errors") }}</h4>
        <ul class="form-errors">
            {% for error in form.errors.__all__ %}
            <li>{{ _(error) }}</li>
            {% endfor %}
        </ul>
    </div>
    {% endif %}
    {{ csrf() }}
    <ul>
        {% for field in form %}
        {{ forms.form_row(field) }}
        {% endfor %}
    </ul>
    <button type="submit" class="action-button">{{ _("patient_update.form.submit") }}</button>
    </form>
{% endblock %}

{% block aside %}
    <article>
        <h1>{{ _("patient_update.results.title") }}</h1>
        {% if result_list %}
        {{ macros.result_table(results=result_list, display_patient=false, extended_results=(user.profile.profile_type=='coach')) }}
        {% else %}
        <p>{{ _("patient_update.results.empty") }}</p>
        {% endif %}
        <div class="clearfix"></div>
    </article>
{% endblock %}
